taccuino.vo

## Class DoloreResponseDTO

- java.lang.Object
- - taccuino.vo.DoloreRequestDTO
  - - taccuino.vo.DoloreResponseDTO

-     public class DoloreResponseDTO
      extends DoloreRequestDTO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LocalDateTime` | `dataAggiornamento`
    `protected LocalDateTime` | `dataRegistrazione`
    `protected String` | `id`

    - ### Fields inherited from class taccuino.vo.DoloreRequestDTO

      `aiCode, aiCodeSystem, aiCodeSystemName, aiCodeSystemVersion, areaInteressata, dataFineDolore, dataInizioDolore, descCode, descCodeSystem, descCodeSystemName, descCodeSystemVersion, descrizione, valore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoloreResponseDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalDateTime` | `getDataAggiornamento()`
    `LocalDateTime` | `getDataRegistrazione()`
    `String` | `getId()`
    `void` | `setDataAggiornamento(LocalDateTime dataAggiornamento)`
    `void` | `setDataRegistrazione(LocalDateTime dataRegistrazione)`
    `void` | `setId(String id)`

    - ### Methods inherited from class taccuino.vo.DoloreRequestDTO

      `getAiCode, getAiCodeSystem, getAiCodeSystemName, getAiCodeSystemVersion, getAreaInteressata, getDataFineDolore, getDataInizioDolore, getDescCode, getDescCodeSystem, getDescCodeSystemName, getDescCodeSystemVersion, getDescrizione, getValore, setAiCode, setAiCodeSystem, setAiCodeSystemName, setAiCodeSystemVersion, setAreaInteressata, setDataFineDolore, setDataInizioDolore, setDescCode, setDescCodeSystem, setDescCodeSystemName, setDescCodeSystemVersion, setDescrizione, setValore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### dataRegistrazione

          protected LocalDateTime dataRegistrazione

    - #### dataAggiornamento

          protected LocalDateTime dataAggiornamento

  - ### Constructor Detail

    - #### DoloreResponseDTO

          public DoloreResponseDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getDataRegistrazione

          public LocalDateTime getDataRegistrazione()

    - #### setDataRegistrazione

          public void setDataRegistrazione(LocalDateTime dataRegistrazione)

    - #### getDataAggiornamento

          public LocalDateTime getDataAggiornamento()

    - #### setDataAggiornamento

          public void setDataAggiornamento(LocalDateTime dataAggiornamento)